import request from '@/utils/request'

// 00 生涯课程类型
export function getNewsTypes(params) {
  return request({
    url: '/front/news/types',
    method: 'get',
    params: params,
    custom: {autoFitNoToken: true}
  })
}

// 单招-资讯分组-通关指南
export function getMainList() {
  return request({
    url: '/front/news/getMainList',
    method: 'get',
    custom: {autoFitNoToken: true}
  })
}

export function getNewsList(params) {
  return request({
    url: '/front/news/list',
    method: 'get',
    params: params,
    custom: {autoFitNoToken: true}
  })
}

// 02 生涯课程详情
export function info(params) {
  return request({
    url: '/front/news/info',
    method: 'get',
    params: params
  })
}

// 01 热门院校榜单
export function universitiesTop(params) {
  return request({
    url: '/front/syzy/home/universities/top',
    method: 'get',
    params: params
  })
}

// 02 热门专业榜单
export function marjorsTop(params) {
  return request({
    url: '/front/syzy/home/marjors/top',
    method: 'get',
    params: params
  })
}

// 高考视频
export function gkVideo(params) {
  return request({
    url: '/front/newsVideo/list',
    method: 'get',
    params: params,
    custom: {autoFitNoToken: true}
  })
}

//  保存点击数
export function saveClicked(params) {
  return request({
    url: '/front/newsVideo/saveClicked',
    method: 'get',
    params: params
  })
}

export function getMainCourseDate(params) {
  return request({
    url: '/front/news/getMainCourseDate',
    method: 'get',
    params: params
  })
}
